# eric6.Preferences.ConfigurationPages.EditorGeneralPage

Module implementing the Editor General configuration page.

### Global Attributes

None

### Classes

EditorGeneralPage | Class implementing the Editor General configuration page.

### Functions

create | Module function to create the configuration page.

## EditorGeneralPage

Class implementing the Editor General configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorGeneralPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorGeneralPage | Constructor
__createOverrideItem | Private method to create an entry for a language override.
__populateLanguageOverrideWidget | Private method to populate the language specific indentation and tab width override widget.
__resizeOverrideColumns | Private method to resize the list columns.
__saveLanguageOverrides | Private method to save the language specific indentation and tab width overrides.
on_addButton_clicked | Private slot to add a new override entry.
on_deleteButton_clicked | Private slot to delete the selected override entries.
on_editButton_clicked | Private slot to edit the selected override entry.
on_languageOverrideWidget_itemSelectionChanged | Private slot handling a change of the override selection.
on_tabforindentationCheckBox_toggled | Private slot used to set the tab conversion check box.
save | Public slot to save the Editor General configuration.

### Static Methods

None

#### EditorGeneralPage (Constructor)

EditorGeneralPage()

Constructor

#### EditorGeneralPage.__createOverrideItem

__createOverrideItem(language, tabWidth, indentWidth)

Private method to create an entry for a language override.

language (str)
  name of the language
tabWidth (int)
  tabulator width
indentWidth (int)
  indentation width

#### EditorGeneralPage.__populateLanguageOverrideWidget

__populateLanguageOverrideWidget()

Private method to populate the language specific indentation and tab width override widget.

#### EditorGeneralPage.__resizeOverrideColumns

__resizeOverrideColumns()

Private method to resize the list columns.

#### EditorGeneralPage.__saveLanguageOverrides

__saveLanguageOverrides()

Private method to save the language specific indentation and tab width overrides.

#### EditorGeneralPage.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new override entry.

#### EditorGeneralPage.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected override entries.

#### EditorGeneralPage.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the selected override entry.

#### EditorGeneralPage.on_languageOverrideWidget_itemSelectionChanged

on_languageOverrideWidget_itemSelectionChanged()

Private slot handling a change of the override selection.

#### EditorGeneralPage.on_tabforindentationCheckBox_toggled

on_tabforindentationCheckBox_toggled(checked)

Private slot used to set the tab conversion check box.

checked
  flag received from the signal (boolean)

#### EditorGeneralPage.save

save()

Public slot to save the Editor General configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up